#ifndef _GLOBALS_H
#define _GLOBALS_H

#define LOG_DEFAULT_LEVEL     LogLevelMessage
#define LOG_MAX_MESSAGE_LENGTH 1024

#define VIEW_DEFAULT_HEIGHT   600
#define VIEW_DEFAULT_WIDTH    800

#ifdef WIN32
	#define NOMINMAX
	#include <windows.h>
	#define bzero(b,len) (memset((b), '\0', (len)), (void) 0)

	#include <cmath>
	inline double roundf(double x) { return floor(x + 0.5); }
#endif

#include <SDL/SDL.h>

#endif // _GLOBALS_H
